Skip to content

MAC Filtering (Template) ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getMacFilteringGeneralSettingTemplateGETGet MAC filtering template general setting
modifyMacFilteringGeneralSettingTemplatePATCHModify MAC filtering template general setting
createMacFilteringTemplatePOSTCreate MAC filtering template
deleteMacFilteringTemplateDELETEDelete MAC filtering template
modifyMacFilteringTemplatePATCHModify MAC filtering template
getGridAllowMacFilteringTemplateGETGet allow MAC filtering template list
getGridDenyMacFilteringTemplateGETGet deny MAC filtering template list

getMacFilteringGeneralSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filter

Get MAC filtering template general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getMacFilteringGeneralSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get MAC filtering template general setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyMacFilteringGeneralSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filter

Modify MAC filtering template general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema MacFilteringGeneralSetting

FieldTypeRequiredDescription
enablebooleanyesEnable of the MAC filtering general setting.
filterModeintegernoFilter mode should be a value as follows: 0: allow; 1: deny.
directionGateway direction entityno(Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity")
json
// omada_call_operation
{
  "operationId": "modifyMacFilteringGeneralSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify MAC filtering template general setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

createMacFilteringTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters

Create MAC filtering template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema MacFiltering

FieldTypeRequiredDescription
idstringnoID of the MAC filtering entity.
namestringyesName of the MAC filtering entity.
filterModeintegeryesFilter mode should be a value as follows: 0: allow; 1: deny.
typeintegeryesType should be a value as follows: 0: macAddresses; 1: macGroupIds.
macAddressesarray<OsgMacFilterAddressOpenApiVO>noMAC addresses of the MAC filtering entity.
macGroupIdsarray<string>noMAC groups of the MAC filtering entity. MAC group can be created using 'Create a new group profile' interface, and MAC group ID can be obtained from 'Get group profile list' interface.
json
// omada_call_operation
{
  "operationId": "createMacFilteringTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteMacFilteringTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/{filterId}

Delete MAC filtering template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
filterIdpathstringyesMAC filtering template ID
json
// omada_call_operation
{
  "operationId": "deleteMacFilteringTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "filterId": "<filterId>"
  }
}
Details, permissions and error codes

Delete MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyMacFilteringTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/{filterId}

Modify MAC filtering template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
filterIdpathstringyesMAC filtering template ID

Request body — application/json (required) — schema MacFiltering

FieldTypeRequiredDescription
idstringnoID of the MAC filtering entity.
namestringyesName of the MAC filtering entity.
filterModeintegeryesFilter mode should be a value as follows: 0: allow; 1: deny.
typeintegeryesType should be a value as follows: 0: macAddresses; 1: macGroupIds.
macAddressesarray<OsgMacFilterAddressOpenApiVO>noMAC addresses of the MAC filtering entity.
macGroupIdsarray<string>noMAC groups of the MAC filtering entity. MAC group can be created using 'Create a new group profile' interface, and MAC group ID can be obtained from 'Get group profile list' interface.
json
// omada_call_operation
{
  "operationId": "modifyMacFilteringTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "filterId": "<filterId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify MAC filtering template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridAllowMacFilteringTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/allow

Get allow MAC filtering template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridAllowMacFilteringTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get allow MAC filtering template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

getGridDenyMacFilteringTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mac-filters/deny

Get deny MAC filtering template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDenyMacFilteringTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get deny MAC filtering template list.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.